QImageFormat(3qt)

NAME
QImageFormat - Incremental image decoder for a specific image format

SYNOPSIS

#include <qasyncimageio.h>

  Public Members
virtual ~QImageFormat ()
virtual int decode ( QImage & img, QImageConsumer * consumer, const uchar * buffer, int length )

DESCRIPTION
Incremental image decoder for a specific image format.

By making a derived classes of QImageFormatType which in turn creates objects that are a subclass of QImageFormat, you can add support for more incremental image formats, allowing such formats to be sources for a QMovie, or for the first frame of the image stream to be loaded as a QImage or QPixmap.

Your new subclass must reimplement the decode() function in order to process your new format.

New QImageFormat objects are generated by new QImageFormatType factories.

MEMBER FUNCTION DOCUMENTATION

QImageFormat::~QImageFormat () [virtual]
Destructs the object.

int QImageFormat::decode ( QImage & img, QImageConsumer * consumer, const uchar * buffer, int length ) [virtual]
New subclasses must reimplement this method.

It should decode some or all of the bytes from buffer into img, calling the methods of consumer as the decoding proceeds to inform that consumer of changes to the image. The consumer may be 0, in which case the function should just process the data into img without telling any consumer about the changes. Note that the decoder must store enough state to be able to continue in subsequent calls to this method - this is the essence of the incremental image loading.

The function should return without processing all the data if it reaches the end of a frame in the input.

The function must return the number of bytes it has processed.

SEE ALSO
http://doc.trolltech.com/qimageformat.html

COPYRIGHT
Copyright 1992-2000 Trolltech AS, http://www.trolltech.com/. See the license file included in the distribution for a complete license statement.

AUTHOR
Generated automatically from the source code.